import request from '@/utils/request';

//交易项目收入统计
export function tradeIncomeStatistics(query) {
  return request({
    url: '/statistics/tradeIncomeStatistics',
    method: 'get',
    params: query
  })
}

//交易项目支出统计
export function tradeExpensesStatistics(query) {
  return request({
    url: '/statistics/tradeExpensesStatistics',
    method: 'get',
    params: query
  })
}

//借支统计
export function borrowingStatistics(query) {
  return request({
    url: '/statistics/borrowingStatistics',
    method: 'get',
    params: query
  })
}

//采购统计
export function purchaseStatistics(query) {
  return request({
    url: '/statistics/purchaseStatistics',
    method: 'get',
    params: query
  })
}

//交易项目收入导出
export function tradeIncomeStatisticsExport(query) {
  return request({
    url: '/statistics/tradeIncomeStatisticsExport',
    method: 'get',
    params: query
  })
}

//交易项目支出导出
export function tradeExpensesStatisticsExport(query) {
  return request({
    url: '/statistics/tradeExpensesStatisticsExport',
    method: 'get',
    params: query
  })
}

//交易项目详情导出
export function tradeStatisticsDetailExport(query) {
  return request({
    url: '/statistics/tradeStatisticsDetailExport',
    method: 'get',
    params: query
  })
}

//借支导出
export function borrowingStatisticsExport(query) {
  return request({
    url: '/statistics/borrowingStatisticsExport',
    method: 'get',
    params: query
  })
}

//借支详情
export function borrowingStatisticsDetailExport(query) {
  return request({
    url: '/statistics/borrowingStatisticsDetailExport',
    method: 'get',
    params: query
  })
}

//报销统计导出
export function purchaseStatisticsExport(query) {
  return request({
    url: '/statistics/purchaseStatisticsExport',
    method: 'get',
    params: query
  })
}

//报销详情导出
export function purchaseStatisticsDetailExport(query) {
  return request({
    url: '/statistics/purchaseStatisticsDetailExport',
    method: 'get',
    params: query
  })
}
